# Generate automatically. Do not edit.

commit 9558e0a0d2606b7c0ab5a971ef7d2de7dc350f42
Author: Stef Walter <stefw@redhat.com>
Date:   2014-03-23

    Release version 3.12.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c7ddd5666dab0b7c31347ed38fb3d5053f930faa
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-20

    Fix deprecated declarations for gnome-keyring-memory.h

 library/gnome-keyring-memory.h | 6 ++++--
 library/gnome-keyring.h        | 2 ++
 2 files changed, 6 insertions(+), 2 deletions(-)

commit cf9bfa10c1fb6eaf2f3caa7153210ea31ee3978a
Author: Stef Walter <stefw@gnome.org>
Date:   2014-03-16

    Release version 3.11.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 26ed08fb46d2054a4d1c4e9e1fa9423f67e22c38
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   2014-02-05

    updated kn.po

 po/kn.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 1cd4c7710238d032016dd88f304eb3adb3266104
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   2014-01-22

    Added Scottish Gaelic translation

 po/LINGUAS |  9 +++++----
 po/gd.po   | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 4 deletions(-)

commit 6a5adea4aec931708d2b16decff7405fb0ae67c3
Author: Stef Walter <stefw@gnome.org>
Date:   2014-01-06

    Deprecate libgnome-keyring. Use libsecret instead
    
    This has been years in coming, but now that the libsecret
    API is stable, deprecate the libgnome-keyring API.

 configure.ac                                       |   8 +-
 .../gnome-keyring/gnome-keyring-docs.sgml          |   5 +
 .../gnome-keyring/gnome-keyring-sections.txt       |   2 +
 library/Makefile.am                                |   3 +-
 library/gnome-keyring-memory.c                     |  18 +++
 library/gnome-keyring-memory.h                     |  21 +++
 library/gnome-keyring-result.h                     |   4 +
 library/gnome-keyring-utils.c                      | 136 ++++++++++++++++++
 library/gnome-keyring.c                            | 152 ++++++++++++++++++++-
 library/gnome-keyring.h                            | 138 +++++++++++++++++--
 library/tests/Makefile.am                          |   3 +-
 11 files changed, 471 insertions(+), 19 deletions(-)

commit a8326fbc77362ad8828cfb6c4b54de579354413e
Author: Stef Walter <stefw@gnome.org>
Date:   2014-01-06

    Bump release version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3d30ffc815d92735aa1c7509ee42cea476906f9
Author: Stef Walter <stefw@gnome.org>
Date:   2013-10-17

    Release version 3.10.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit a17b59ba9938d24d861fcc9a37be9539160375cd
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   2013-10-10

    Tajik translation updated

 po/tg.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 7d21cf69a18260a20b1b701afaa41ffefe2b7791
Author: Stef Walter <stefw@gnome.org>
Date:   2013-09-23

    Release version 3.10.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 7be09f938cc63c149167c083ce7f25b05fddc89c
Author: Stef Walter <stefw@gnome.org>
Date:   2013-08-26

    Update the make upload-release rule

 Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 628389cc06e33f0f034b5dd0b58a40ae811736b0
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-30

    Release version 3.9.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 675668c8fb1ff9eaad7af3ca60438828cbb6d974
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-27

    Add testing tool for locking all keyrings

 .gitignore                    |  1 +
 library/gnome-keyring.c       |  2 ++
 library/tests/Makefile.am     |  3 ++-
 library/tests/frob-lock-all.c | 53 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 58 insertions(+), 1 deletion(-)

commit 79c2751a7bee5b441c2819d8f559af1618a53e73
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-27

    Don't use deprecated glib 2.36 stuff

 egg/egg-libgcrypt.c            | 3 +--
 egg/egg-secure-memory.h        | 6 +++---
 library/gnome-keyring-memory.c | 6 +++---
 3 files changed, 7 insertions(+), 8 deletions(-)

commit 200ae6effde7d0be7181b4946f945c5cb6a32beb
Author: Stef Walter <stefw@gnome.org>
Date:   2013-04-27

    Add option for building with code coverage

 .gitignore                |  2 ++
 configure.ac              | 29 +++++++++++++++++++++++++++++
 egg/Makefile.am           |  3 +++
 egg/tests/Makefile.am     |  3 +++
 library/Makefile.am       |  3 ++-
 library/tests/Makefile.am |  3 +++
 6 files changed, 42 insertions(+), 1 deletion(-)

commit e90f485af50c1cfa3a35ff13bbf4353249e1e834
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-25

    Release version 3.8.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e0444da8e067f5c42ff4c05fef16240fe457d778
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   2013-03-19

    [l10n] Added Tadjik translation

 po/LINGUAS |  1 +
 po/tg.po   | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 081bbac7f7ee1975b107f5bfed8ac1a5dd91132e
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-18

    Release version 3.7.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 9007a5e9dc164af6aaf78e7a8ced43b107ec0719
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2013-03-17

    Converted Portuguese translation to New Spelling (Novo AO)

 po/pt.po | 35 ++++++++++++++++++-----------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit 56827fb58e7e659da03bfea4a8fd83888730aa7b
Author: Stef Walter <stefw@gnome.org>
Date:   2013-03-04

    Release version 3.7.91

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 1b6e984168e9663901a2ae314575c1a3849ff381
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   2013-01-14

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691343

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 172752582d5885c458b4c3035228b5d9772faf34
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2012-11-25

    configure.ac: if [list]; then construct: [list] is to be executed, thus use 'test'

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 424a699e4125be0e3e6d771764b0f7a7a75af9bf
Author: Stef Walter <stefw@gnome.org>
Date:   2013-02-04

    Release version 3.7.5

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 69e84c99d41197b7cd4e1a50ac70d3958f223a1c
Author: TmTFx <f.t.public@gmail.com>
Date:   2012-12-28

    Updated Friulian translation

 po/LINGUAS |  1 +
 po/fur.po  | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

commit 261ab9bee11e02874577a0facaa8b93a6433539e
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   2012-11-25

    configure.ac: if [list]; then construct: [list] is to be executed, thus use 'test'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689046

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1fc55f5fda443ed16feed4bdafa03f7f1f7e7fe4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-11-21

    Release version 3.7.2

 Makefile.am         |  5 ++++-
 NEWS                |  4 ++++
 configure.ac        | 13 ++++++++++++-
 library/Makefile.am |  2 +-
 4 files changed, 21 insertions(+), 3 deletions(-)

commit 07667832e9840d3a46d4e1bc798f7171f8b3be51
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Share the secure memory pool with libsecret and gcr if in same process.
    
     * And fix a build failure in the testing of the secmem pool

 egg/tests/Makefile.am | 1 +
 library/Makefile.am   | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit ef43a082c190a9e30ef939eeb8fc87312c30bb42
Author: Stef Walter <stefw@gnome.org>
Date:   2012-10-27

    Merge updated secure memory code from libsecret

 egg/egg-dh.c                   |   2 +
 egg/egg-libgcrypt.c            |   2 +
 egg/egg-secure-memory.c        | 513 ++++++++++++++++++++++++++---------------
 egg/egg-secure-memory.h        |  76 +++---
 egg/tests/test-dh.c            |   2 +-
 egg/tests/test-hkdf.c          |   2 +-
 egg/tests/test-secmem.c        |  49 ++--
 library/gkr-session.c          |   2 +
 library/gnome-keyring-memory.c |  20 +-
 library/gnome-keyring-utils.c  |   2 +
 library/gnome-keyring.c        |   2 +
 11 files changed, 430 insertions(+), 242 deletions(-)

commit 6d15fac56b6feddef32d57a0ee4697771ea99a8d
Author: Xi Wang <xi.wang@gmail.com>
Date:   2012-10-22

    Fix incorrect loop condition in egg_hkdf_perform()
    
    This does not cause a change in behavior (as evidenced by tests,
    at least on linux when built with gcc) but is more correct code,
    and less likely to be miscompiled.
    
    The condition (i < 256) in the following loop is always false since i
    is of type guchar, which is at most 255.
    
    	guchar i;
    	...
    	for (i = 1; i < 256; ++i) { ... }
    
    This patch changes i to a larger type gint.
    
    Also in the loop we have:
    
    	gcry_md_write (md2, &i, 1);
    
    change it to use gcry_md_putc().

 egg/egg-hkdf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9693c1bd10463077aed43d1dfc78c46e62094ccb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-09-25

    Release version 3.6.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 200459aacdfffd1d111bab566a3b00ca43d5ceef
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   2012-09-24

    Updated Latvian translation

 po/lv.po | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 72915da6c6305b10b9bb4f3202d15047862d8aec
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-17

    Release 3.5.6

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 9467812c61032ce1686690d2840655885652f74d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-17

    Add more warnings about attributes not being stored securely
    
     * Attributes in gnome-keyring are not (and not meant to be)
       stored sensitively.
     * Attributes are to be used for lookup of items, not storage.

 library/gnome-keyring-utils.c | 3 +++
 library/gnome-keyring.c       | 9 +++++++++
 2 files changed, 12 insertions(+)

commit 1dff91d5aa5c6c8f912bb4a4e9842af2cade9462
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   2012-08-16

    Added Marathi Translations

 po/LINGUAS |  1 +
 po/mr.po   | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

commit 020ac74d8e5f9044a6071bbc125f00e44528f396
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:   2012-08-14

    Added Bengali India Translations

 po/LINGUAS  |  1 +
 po/bn_IN.po | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

commit c16f05d7d661df16771afcdc321759817046978c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-08-08

    Bump version number

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 632c2849b6110e7903ce35e56602105ea9c90787
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-08-08

    vala: install vapis to $prefix/share/vala/vapi not system vapidir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681455

 build/m4/vapigen.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4e0d92eee8397c6cd43ffea3fad466caffc4bdc4
Author: Stef Walter <stefw@gnome.org>
Date:   2012-07-16

    Release version 3.5.4

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ea1476c1a941d71d6d7be90aa6fc5b8ba8da7c83
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-06-28

    Add Vala bindings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678440

 .gitignore                           |  1 +
 build/m4/vapigen.m4                  | 88 ++++++++++++++++++++++++++++++++++++
 configure.ac                         |  4 ++
 library/GnomeKeyring-1.0-custom.vala | 24 ++++++++++
 library/GnomeKeyring-1.0.metadata    | 63 ++++++++++++++++++++++++++
 library/Makefile.am                  | 19 +++++++-
 6 files changed, 198 insertions(+), 1 deletion(-)

commit 3059be0e878808c6cdcaac1ff0955743b1cb15fb
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Release version 3.5.3

 Makefile.am         |  3 +++
 NEWS                |  4 ++++
 configure.ac        |  2 +-
 library/Makefile.am | 19 ++++++++++---------
 4 files changed, 18 insertions(+), 10 deletions(-)

commit 294b3f368c06570737fc1eb8f67132bd65884cea
Merge: 7ffe9e6 bacf26d
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-25

    Merge branch 'gnome-3-4'

commit bacf26db8098cd50059122ad0086b9257f8a5a34
Author: Stef Walter <stefw@gnome.org>
Date:   2012-06-23

    Fixes for G_MESSAGES_DEBUG
    
     * Respect G_MESSAGES_DEBUG when set
     * Make GKR_DEBUG work again even with glib versions that use
       G_MESSAGES_DEBUG

 library/gkr-debug.c | 79 +++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 64 insertions(+), 15 deletions(-)

commit 7ffe9e63a4a2ec53a062ead98454709cdfb3ef11
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-06-16

    introspection: some minor fixes to avoid Vala regressions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678229

 library/Makefile.am     |  1 +
 library/gnome-keyring.h | 21 ++++++++++++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 5b1511575c1a1e298aef12a508c1d857f2a647b3
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-16

    Release 3.4.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2ed0e203a1247a2249076986b8141c7a8ec2e91f
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   2012-04-12

    Added Aragonese translation

 po/LINGUAS |  1 +
 po/an.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 0edb46cd2b48ced591663665f74a644343075043
Author: Stef Walter <stefw@gnome.org>
Date:   2012-04-05

    Remove broken gtk-doc comment

 library/gnome-keyring-memory.h | 7 -------
 1 file changed, 7 deletions(-)

commit 59de7d22dde3bfcc0b936e286dfb3860ccc2ea3b
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-31

    Fix up some documentation warnings

 docs/reference/gnome-keyring/Makefile.am                | 3 ++-
 docs/reference/gnome-keyring/gnome-keyring-sections.txt | 1 +
 library/gnome-keyring.c                                 | 8 ++++++++
 3 files changed, 11 insertions(+), 1 deletion(-)

commit 5ab2e3cb4cfd53f3a4d6f8bfaf10999ba7ff08e2
Author: Jordi Mallach <jordi@debian.org>
Date:   2012-03-31

    Fix copyright headers.
    
    Many files were missing “Public” in “GNU Lesser General Public License”,
    probably due to a mass replace that went a bit too far. Restore the
    correct wording in all affected places.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673212

 egg/egg-dh.c      | 6 +++---
 egg/egg-dh.h      | 6 +++---
 egg/egg-hkdf.c    | 6 +++---
 egg/egg-hkdf.h    | 6 +++---
 egg/egg-testing.c | 6 +++---
 egg/egg-testing.h | 6 +++---
 6 files changed, 18 insertions(+), 18 deletions(-)

commit 6747180646908e1fdef16d67817149f33a204cfb
Author: Jordi Mallach <jordi@sindominio.net>
Date:   2012-03-31

    Fixed bug #673184

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27a56c03b4bd7ce3df7c96ad818dad99024849db
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-26

    Release 3.4.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e855adeb7e053cde5e894a85d0ac97e8b0ad129c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-19

    Release version 3.3.92

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 4d2dc7098e4dbec202a649cddd286866196046fa
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   2012-03-10

    Add initial Khmer translation

 po/LINGUAS |  1 +
 po/km.po   | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit a07c82b1f48e968ae85ce60f61752d5ba95d501a
Author: Stef Walter <stefw@gnome.org>
Date:   2012-03-09

    Release 3.3.91

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 7612919571d5ee7e6feb658b725c03f9b2f600c3
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:   2012-03-01

    Explicitly require gmodule-2.0 in pkg-config query

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff02286758e2cc62433bbb1cb168d6f5e432e990
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   2012-02-28

    Adding Uzbek@cyrillic translation

 po/LINGUAS        |  1 +
 po/uz@cyrillic.po | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit eea24c2445a953b96c7830c7927f2fa3d48b0272
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2012-01-23

    Add GnomePasswordSchemaAttribute type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668466

 library/gnome-keyring.c |  1 +
 library/gnome-keyring.h | 12 ++++++++++++
 2 files changed, 13 insertions(+)

commit 946e1a349c4b496feaa6a1b0c9d50acedcac318e
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-04

    Release 3.3.5

 NEWS                |  9 +++++++++
 configure.ac        |  2 +-
 egg/egg-libgcrypt.c | 10 ++++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit a38a4ed887a2255b7579a76f78fd9145dc1a7ef5
Author: Stef Walter <stefw@gnome.org>
Date:   2012-02-01

    Fix build dependency on valgrind
    
     * Also move build related stuff into build/ directory

 .gitignore                |    9 +
 Makefile.am               |    3 +-
 build/m4/introspection.m4 |   94 +
 build/valgrind/memcheck.h |  283 +++
 build/valgrind/valgrind.h | 5344 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac              |    1 +
 egg/Makefile.am           |    1 +
 m4/introspection.m4       |   94 -
 8 files changed, 5734 insertions(+), 95 deletions(-)

commit d1cc02aa5a001bec50367d9f48420978925f44a9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Fixes for parallel builds and distcheck

 library/tests/Makefile.am | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f40819ccd588856a6b87b509a9e83b1c1fa19928
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Add more tests of cancellation, test tweaks
    
     * Add some tests of cancellation
     * Update the egg-testing.[ch] files, for running tests within
       a mainloop

 .gitignore                           |   2 +
 egg/egg-testing.c                    | 161 +++++++++++++++++++++++++--
 egg/egg-testing.h                    |  23 ++++
 library/tests/Makefile.am            |   1 +
 library/tests/mock-service-cancel.py |  16 +++
 library/tests/mock/service.py        |  12 +--
 library/tests/test-cancel.c          | 203 +++++++++++++++++++++++++++++++++++
 library/tests/test-keyrings.c        |  47 +++-----
 8 files changed, 414 insertions(+), 51 deletions(-)

commit 767a3a755c10081694c19b62bbcd76d440e27673
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Double check operation references
    
     * Print a warning if an invalid operation is referenced

 library/gkr-operation.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 627895abba1b34fbd436968f775134cc5f62754c
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Fix issue where an operation could be cancelled or completed twice
    
     * Ensure that an operation can only be completed or cancelled
       once. Depending on circumstances, this could cause access
       to freed memory.

 library/gkr-callback.c  | 21 ++++++++++++++++-----
 library/gkr-callback.h  |  3 +++
 library/gkr-operation.c | 12 +++++++-----
 3 files changed, 26 insertions(+), 10 deletions(-)

commit 612830913ba26f9f54395636a23beee3ea3f33c9
Author: Stef Walter <stefw@gnome.org>
Date:   2012-01-31

    Better testing, and build tweaks
    
     * Use python mock service to test against
     * Fix up some compatibility issues
     * Add debug messages for some operations
     * Add --enable-strict to build with strict rules
     * Build debug stuff by default, --enable-debug to disable optimizations
     * Run tests with GNOME_KEYRING_TEST_SERVICE=org.freedesktop.secrets
       to run against a running daemon

 configure.ac                         |  58 +--
 egg/Makefile.am                      |   8 +-
 library/Makefile.am                  |  16 +-
 library/gkr-debug.c                  |   1 +
 library/gkr-debug.h                  |   1 +
 library/gkr-misc.c                   |  53 ++-
 library/gkr-misc.h                   |   6 +-
 library/gkr-operation.c              |  30 +-
 library/gkr-operation.h              |   2 +
 library/gkr-session.c                |   4 +-
 library/gnome-keyring.c              | 160 ++++++---
 library/tests/Makefile.am            |  21 +-
 library/tests/mock-service-normal.py |  59 +++
 library/tests/mock-service.c         |  93 +++++
 library/tests/mock-service.h         |  27 ++
 library/tests/mock/__init__.py       |   1 +
 library/tests/mock/aes.py            | 656 +++++++++++++++++++++++++++++++++
 library/tests/mock/dh.py             |  81 +++++
 library/tests/mock/hkdf.py           |  86 +++++
 library/tests/mock/service.py        | 679 +++++++++++++++++++++++++++++++++++
 library/tests/test-keyrings.c        | 107 ++----
 21 files changed, 1944 insertions(+), 205 deletions(-)

commit 23a89f497ff57d0443a6e3e6e14ed9102c7f7b1a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2012-01-28

    Updated Norwegian bokmål translation

 po/nb.po | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit fdf82e6ab47af17d3646a49cf53d70859e78de3e
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-15

    Add Python test script for GI binding
    
    Run this with
    
      LD_LIBRARY_PATH=library/.libs/ library/tests/test-gi.py  -v
    
    to test the locally built GI binding.

 library/tests/Makefile.am |   3 +
 library/tests/test-gi.py  | 155 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 158 insertions(+)

commit 594faaddbb465708f35ff016e834abf3e9af016c
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-15

    Add GnomeKeyringAttribute union accessor methods
    
    Add accessor methods for the GnomeKeyringAttribute.value union, for GI bindings
    which cannot directly access the union struct member.

 library/gnome-keyring-utils.c | 37 +++++++++++++++++++++++++++++++++++++
 library/gnome-keyring.h       |  2 ++
 2 files changed, 39 insertions(+)

commit 3833ffbf621e03ce5a3283aa61abe81dadb7b909
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Allow bindings to use GnomeKeyringAttributeList
    
    GArray is not usable for language bindings. Replace the
    gnome_keyring_attribute_list_new() macro with a real constructor and provide a
    gnome_keyring_attribute_list_to_glist() accessor to convert a
    GnomeKeyringAttributeList to a GList.

 library/gnome-keyring-utils.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 library/gnome-keyring.h       |  3 ++-
 2 files changed, 45 insertions(+), 1 deletion(-)

commit b5ad592e92f294855cdb4ccd95dd9dfd51c58fb5
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Box structs to make them introspectable
    
    Add boxing for our structs so that introspection bindings can handle them.
    
    Note that we cannot use the standard G_DEFINE_BOXED_TYPE for
    GnomeKeyringItemInfo, as gnome_keyring_item_info_get_type() already exists.
    Manually define the GType construction for this.
    
    Check for and link to gobject-2.0 to get g_boxed_type_register_static().
    
    Bump library version info as this adds some new API.

 configure.ac                                       |   4 +-
 .../gnome-keyring/gnome-keyring-sections.txt       |  30 +++++
 library/gnome-keyring-utils.c                      | 121 +++++++++++++++++++++
 library/gnome-keyring.h                            |  28 ++++-
 4 files changed, 178 insertions(+), 5 deletions(-)

commit cf9dbac9165d2d24c86c9bb0ca92f64b6a58da78
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Add GI annotations
    
    Add introspection/documentation annotations.
    
    Skip async methods, as they crash with current pygobject for a yet unknown
    reason.
    
    Skip the gnome_keyring_memory_* methods as they only return bare
    gpointers which introspection clients cannot deal with.
    
    Add documentation link to annotation-glossary.xml.
    
    Also fix a few typos like "asychronous" or "protorol" along the way, and turn
    NULL into a proper %NULL documentation macro.
    
    link to annot docs

 .../gnome-keyring/gnome-keyring-docs.sgml          |   4 +
 library/gnome-keyring-memory.c                     |  39 +-
 library/gnome-keyring-utils.c                      |  17 +-
 library/gnome-keyring.c                            | 474 +++++++++++++--------
 4 files changed, 326 insertions(+), 208 deletions(-)

commit 3511c727215ca3b5f24dd596b6b64bea5e9fef35
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Build introspection typelib
    
    As per https://live.gnome.org/GObjectIntrospection/AutotoolsIntegration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598414

 .gitignore          |  2 ++
 Makefile.am         |  4 ++-
 configure.ac        |  4 +++
 library/Makefile.am | 28 ++++++++++++++++
 m4/introspection.m4 | 94 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 131 insertions(+), 1 deletion(-)

commit 5427523d1a6bf5420bbff3b5e8ab9591da5a9ef1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2012-01-16

    Release version 3.3.4

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4df8de140cd1b5941e19aee098101d2569cfa444
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2012-01-14

    Fix gnome_keyring_item_info_copy()
    
    Actually copy the values from the original instead of from the to-be-created
    copy.

 library/gnome-keyring-utils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 47efd153209d565b245f9faef063a9500be0c0ee
Author: Javier Jardón <jjardon@gnome.org>
Date:   2011-12-26

    configure.ac: Use maintainer mode by default
    
    See
    http://mail.gnome.org/archives/desktop-devel-list/2011-September/msg00064.html

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9aee5a2bad24ec84b4d366c8e77b8530ed154f0d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Release version 3.3.3

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c5da87a6991fca8c181eda43bdad3baf2f8c3aaf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-12-19

    Add tool for playing with default keyring

 .gitignore                           |  1 +
 library/tests/Makefile.am            |  3 ++-
 library/tests/frob-default-keyring.c | 50 ++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+), 1 deletion(-)

commit de4a0c2ba4c18549e8b98a02a1144230a362fc5b
Merge: 0a55cf5 aa30fea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Merge branch 'gnome-3-2'

commit 0a55cf5c97c2606f92e495b7113fd139a51a089a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    Release version 3.2.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit aa30fea129bda264f66f4122201e61941d769614
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Make sure to return find results in original order from daemon
    
     * And add a testing tool to check the order

 .gitignore                         |  1 +
 library/gnome-keyring.c            |  3 ++
 library/tests/Makefile.am          |  3 +-
 library/tests/frob-list-modified.c | 71 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 77 insertions(+), 1 deletion(-)

commit b395d8874f56f3c840f16677be3c5aba25b22455
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Fill in the gnome_keyring_item_info_get_mtime() field correctly

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f8d16efc4f47815e6cbd908608aac44b2e68dc5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Make sure to return find results in original order from daemon
    
     * And add a testing tool to check the order

 .gitignore                         |  1 +
 library/gnome-keyring.c            |  3 ++
 library/tests/Makefile.am          |  3 +-
 library/tests/frob-list-modified.c | 71 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 77 insertions(+), 1 deletion(-)

commit f044f2c3651facda869530954d97a0605526b200
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Fill in the gnome_keyring_item_info_get_mtime() field correctly

 library/gnome-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a69005c3b76f9719e837db5713acf691c319eb43
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-25

    Release version 3.2.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)
